> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Integration

> Delete an integration based on the ID supplied



## OpenAPI

````yaml openapi-ruth-connect DELETE /ruth-connect/integrations/{integration_id}
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /ruth-connect/integrations/{integration_id}:
    delete:
      description: Delete an integration based on the ID supplied
      parameters:
        - name: integration_id
          in: path
          description: ID of integration to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Integration deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - err
        - msg
      type: object
      properties:
        err:
          type: boolean
          description: Indicates if the response is an error
        msg:
          type: string
          description: Message from the API
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````